/// Interface pour les fonctionnalités JavaScript
/// Importe conditionnellement dart:js pour le web ou un stub pour les autres plateformes
library js_interface;

import 'package:flutter/foundation.dart';

// Importation conditionnelle basée sur la plateforme
import 'js_stub.dart' if (dart.library.js) 'dart:js' as js;

/// Exporte le contexte JavaScript pour être utilisé dans d'autres fichiers
final context = js.context;

/// Fonction utilitaire pour évaluer du code JavaScript sur le web
/// Ne fait rien sur les plateformes non-web
dynamic evalJs(String code) {
  if (kIsWeb) {
    return js.context.callMethod('eval', [code]);
  }
  return null;
}
